"use client";
import Header from "@components/base/header";
import { useAppContext } from "@context/index";
import { useRouter } from "next/navigation";

export default function PageHeader({ searchParams }) {
  const { theme, toggleTheme } = useAppContext();
  const router = useRouter();
  let currentPage = 1;
  const urlParams = searchParams.search;

  const handleSearch = (value) => {
    if (value) {
      router.push(`/?page=${currentPage}&search=${value}`, undefined, {
        shallow: true,
      });
    } else {
      router.push(`/?page=${currentPage}`, undefined, { shallow: true });
    }
  };

  const handleClose = () => {
    router.push(`/?page=${currentPage}`, undefined, { shallow: true });
  };

  return (
    <Header
      name="NewsBlog"
      currentTheme={theme}
      onThemeChange={toggleTheme}
      onSearch={handleSearch}
      onClose={handleClose}
      value={urlParams}
    />
  );
}
