import BlogLists from "@components/top-level/blog-lists";
import Pagination from "@components/top-level/pagination";
import { getPosts, getPostsBySearch } from "@lib/api";
import styles from "./page.module.css";

const Home = async ({ searchParams }) => {
  let blogs = [];
  let pageNo = searchParams.page || 1;
  let search = searchParams.search;

  let response;
  response = await getPosts("posts", pageNo);
  blogs = response.data;

  if ("search" in searchParams && pageNo !== "") {
    if (search !== "") {
      response = await getPostsBySearch("posts", pageNo, search);
      blogs = response.data;
    } else {
      blogs.length = 0;
    }
  }
  return (
    <div className={styles.container}>
      {blogs?.length ? (
        <div>
          <BlogLists
            title="Lifestyle"
            description="Lorem ipsum dolor sit amet elit. Id quaerat amet ipsum sunt et quos dolorum."
            blogs={blogs}
          />
          <div className={styles.pagination}>
            <Pagination
              currentPage={Number(pageNo)}
              total={Number(response.total)}
              perPage={6}
              search={search}
            />
          </div>
        </div>
      ) : (
        <h2 className="center">No data found</h2>
      )}
    </div>
  );
};

export default Home;
